import { FieldValues, SubmitErrorHandler, SubmitHandler } from 'react-hook-form';
import { CheckboxProps } from '@procyon/components/Checkbox';
import { DatePickerProps } from '@procyon/components/DatePicker';
import { RadioButtonProps } from '@procyon/components/RadioButton';
import { SelectBoxProps } from '@procyon/components/Selectbox';
import { TextFieldProps } from '@procyon/components/TextField';
import { TimePickerProps } from '@procyon/components/TimePicker';
export type FormFailSubmit<FormData extends FieldValues> = SubmitErrorHandler<FormData>;
export type FormSubmit<FormData extends FieldValues> = SubmitHandler<FormData>;
export type TextFieldFieldProps = {
    component: 'TEXT';
} & TextFieldProps;
export type SelectBoxFieldProps = {
    component: 'SELECT';
} & SelectBoxProps;
export type TimePickerFieldProps = {
    component: 'TIME';
} & TimePickerProps;
export type DatePickerFieldProps = {
    component: 'DATE';
} & DatePickerProps;
export type CheckboxFieldProps = {
    component: 'CHECK';
} & CheckboxProps;
export type RadioButtonFieldProps = {
    component: 'RADIO';
} & RadioButtonProps;
export type FieldTypes = TextFieldFieldProps | SelectBoxFieldProps | TimePickerFieldProps | DatePickerFieldProps | CheckboxFieldProps | RadioButtonFieldProps;
