import * as rhf from 'react-hook-form';
import { ObjectSchema } from 'yup';
import { Nullable } from '@procyon/types';
type N<FD> = Nullable<Partial<FD>>;
export type FormOptions<FD extends rhf.FieldValues> = {
    schema: ObjectSchema<N<FD>>;
} & rhf.UseFormProps<N<FD>>;
export type UseFormReturnType<FD extends rhf.FieldValues> = Omit<rhf.UseFormReturn<N<FD>>, 'handleSubmit'> & {
    handleSubmit: rhf.UseFormHandleSubmit<FD | N<FD>, any>;
};
export declare const useForm: <FD extends rhf.FieldValues>(options: FormOptions<Nullable<Partial<FD>>>) => UseFormReturnType<FD>;
export default rhf;
